Alpha-name SMS

GET /api/v1/getAlphanames Get all available Alpha names
Request URL
GET https://app.sms.by/api/v1/getAlphanames

Parameters

Parameter Location Type Required Description
token query string Yes Your API key

Responses

200 — Completed successfully

{
    "0": "System name (SMS.by)",
    "1363": "VasheImya"
}

400 — Incorrect request

404 — Page not found

429 — Request limit exceeded

500 — Server is not available

GET /api/v1/getAlphanameId Get the id of an Alpha name by its name
Request URL
GET https://app.sms.by/api/v1/getAlphanameId

Parameters

Parameter Location Type Required Description
token query string Yes Your API key
name query string Yes Your Alpha name

Responses

200 — Completed successfully

{
    "id": 1236
}

400 — Incorrect request

404 — Page not found

429 — Request limit exceeded

500 — Server is not available

GET /api/v1/getAlphanameCategory Getting categories for Alpha name
Request URL
GET https://app.sms.by/api/v1/getAlphanameCategory

Parameters

Parameter Location Type Required Description
token query string Yes Your API key

Responses

200 — Completed successfully

{
    "status": "OK",
    "result": [
        {
            "id": 2,
            "name": "Auto (everything related to the automobile industry)"
        },
        {
            "id": 3,
            "name": "Banks\/loans"
        },
        {
            "id": 1,
            "name": "Select"
        },
        {
            "id": 4,
            "name": "Hypermarkets\/retail chains\/shopping centers"
        },
        {
            "id": 5,
            "name": "Games\/casino\/quests"
        }
    ]
}

400 — Incorrect request

404 — Page not found

429 — Request limit exceeded

500 — Server is not available

POST /api/v1/createAlphaname Creating a new Alpha name
Request URL
POST https://app.sms.by/api/v1/createAlphaname

Parameters

Parameter Location Type Required Description
token formData string Yes Your API key
name formData string Yes Title Alpha name
yur_name formData string Yes Legal entity
unp formData integer Yes Payer's account number
country_id formData integer Yes For the Republic of Belarus country_id = 1
postcode formData integer Yes Postcode (You can find it on the Belpochta website)
city formData string Yes City of registration
address formData string Yes Legal address (If you are an individual entrepreneur, you can specify your residential address)
name_category_id formData integer Yes Company activity ID (taken from getAlphanameCategory method)
traffic_type_id formData integer Yes Mailing type: 1 - Service, 2 - Advertising
text_example formData string Yes Example of newsletter text

Responses

200 — Completed successfully

{
    "status": "ok",
    "message": "Alpha name MyCom added successfully"
}

400 — Incorrect request

404 — Page not found

429 — Request limit exceeded

500 — Server is not available